<?php


namespace App\Entities\AssistenteMedico;

use App\Utils\Builder;

class AssistenteMedicoBuilder implements Builder
{
    private $id;
    private $id_assistente;
    private $id_medico;

    public function setId(int $id): AssistenteMedicoBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setIdASSISTENTE(int $id_assistente): AssistenteMedicoBuilder
    {
        $this->id_assistente = $id_assistente;
        return $this;
    }

    public function setIdMEDICO(?int $id_medico): AssistenteMedicoBuilder
    {
        $this->id_medico = $id_medico;
        return $this;
    }

    public function build() : AssistenteMedico
    {
        $paciente = new AssistenteMedico();
        if (isset($this->id)) {
            $paciente->setId($this->id);
        }
        if (isset($this->id_assistente)) {
            $paciente->setIdASSISTENTE($this->id_assistente);
        }
        if (isset($this->id_medico)) {
            $paciente->setIdMEDICO($this->id_medico);
        }
        return $paciente;
    }

}